View Issue Details

IDProjectCategoryView StatusLast Update
0009463CentOS-7CentOS-7-Pluspublic2015-10-05 21:12
Reporterkstange 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version7.1-1503 
Target VersionFixed in Version 
Summary0009463: Consider CentOSPlus Kernel Option Change to Enable Xen PV Guest FB
DescriptionWe are attempting to support Xen-based PV guests on OnApp using CentOS 7, but we have been informed that the VNC console cannot work without the following option being enabled in the kernel:

 CONFIG_XEN_FBDEV_FRONTEND=y

This article explains the issue:

https://onapp.zendesk.com/entries/91557768-CentOS-7-VNC-Console-Issue

I was hoping we could get these options enabled on the Plus kernels so that I can use a slightly more "mainstream" kernel to ensure quicker security response turnaround and so we can appeal to third parties that will only support "official" kernels for the distro for their modules.

I think this change is safe because it merely adds a new driver to be shipped with the kernel, and does not change anything else.
TagsNo tags attached.
abrt_hash
URL

Activities

toracat

toracat

2015-09-14 17:27

manager   ~0024347

Will try to make the requested change in the next kernel update.
toracat

toracat

2015-09-15 15:13

manager   ~0024357

The option will be enabled as a module ( =m ) as follows:

@@ -3749,7 +3749,7 @@
 # CONFIG_FB_UDL is not set
 # CONFIG_FB_GOLDFISH is not set
 # CONFIG_FB_VIRTUAL is not set
-# CONFIG_XEN_FBDEV_FRONTEND is not set
+CONFIG_XEN_FBDEV_FRONTEND=m
 # CONFIG_FB_METRONOME is not set
 # CONFIG_FB_MB862XX is not set
 # CONFIG_FB_BROADSHEET is not set
toracat

toracat

2015-09-15 16:50

manager   ~0024359

kernel-3.10.0-229.14.1.el7 is out upstream. kernel-plus 3.10.0-229.14.1.el7 now has XEN_FBDEV_FRONTEND enabled.
kstange

kstange

2015-09-15 16:59

reporter   ~0024361

Thanks for the ridiculously quick handling!
toracat

toracat

2015-09-15 17:01

manager   ~0024362

It was quick because the kernel update came out with a perfect timing. :)
toracat

toracat

2015-09-16 15:40

manager   ~0024369

The updated plus kernel released. Now closing this as resolved.

Issue History

Date Modified Username Field Change
2015-09-14 16:25 kstange New Issue
2015-09-14 17:27 toracat Note Added: 0024347
2015-09-14 17:27 toracat Status new => assigned
2015-09-15 15:13 toracat Note Added: 0024357
2015-09-15 16:50 toracat Note Added: 0024359
2015-09-15 16:59 kstange Note Added: 0024361
2015-09-15 17:01 toracat Note Added: 0024362
2015-09-16 15:40 toracat Note Added: 0024369
2015-09-16 15:40 toracat Status assigned => resolved
2015-09-16 15:40 toracat Resolution open => fixed